Page MenuHomePhabricator

Wire PrefetchingTermLookup and EntityIdLabelFormatter into prefetching-term-lookup-callback for federated properties
Closed, ResolvedPublic

Description

This will be another change to repo/WikibaseRepo.FederatedProperties.entitytypes.php
These services should be constructed in our ApiServiceFactory class and retrieve from there.

THis is wiring up the code for T250789: Implement EntityIdLabelFormatter without the checks for if the entity exists and T249797: Implement a PrefetchingTermLookup for federated properties

Once this is done we should start to see the results in the UI

Event Timeline

Addshore updated the task description. (Show Details)Apr 9 2020, 9:04 AM
Addshore updated the task description. (Show Details)
Addshore renamed this task from Wire PrefetchingTermLookup into prefetching-term-lookup-callback for federated properties to Wire PrefetchingTermLookup and EntityIdLabelFormatter into prefetching-term-lookup-callback for federated properties.Apr 21 2020, 11:17 AM
Addshore updated the task description. (Show Details)
Restricted Application added a project: User-Addshore. · View Herald TranscriptApr 29 2020, 3:23 PM

Change 593284 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] FP: Wire up PrefetchingTermLookup & EntityIdLabelFormatter

https://gerrit.wikimedia.org/r/593284

Change 593284 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] FP: Wire up PrefetchingTermLookup & EntityIdLabelFormatter

https://gerrit.wikimedia.org/r/593284

Samantha_Alipio_WMDE closed this task as Resolved.May 4 2020, 2:08 PM